Subject: Re: bug#49360: Updating cataclysm-dda to 0.F
From: Chris Lemmer-Webber <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Jul 2021 17:21:58 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Chris Lemmer-Webber writes:

> Hello!
>
> Here's a quick paste at the start of what's necessary to make this
> change:
>
> #+BEGIN_SRC diff
> diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
> index 831f6079f2..c2a8e4bb43 100644
> --- a/gnu/packages/games.scm
> +++ b/gnu/packages/games.scm
> @@ -104,6 +104,7 @@
>    #:use-module (gnu packages check)
>    #:use-module (gnu packages cmake)
>    #:use-module (gnu packages compression)
> +  #:use-module (gnu packages code)
>    #:use-module (gnu packages cpp)
>    #:use-module (gnu packages curl)
>    #:use-module (gnu packages crypto)
> @@ -835,7 +836,7 @@ high a score as possible.")
>  (define-public cataclysm-dda
>    (package
>      (name "cataclysm-dda")
> -    (version "0.E-3")
> +    (version "0.F")
>      (source
>       (origin
>         (method git-fetch)
> @@ -843,7 +844,7 @@ high a score as possible.")
>               (url "https://github.com/CleverRaven/Cataclysm-DDA")
>               (commit version)))
>         (sha256
> -        (base32 "108cs6vp99qmqqfnmczad0xjgcl82bypm5xszwnlfcswdsrfs4da"))
> +        (base32 "1jid8lcl04y768b3psj1ifhx96lmd6fn1j2wzxhl4ic7ra66p2z3"))
>         (file-name (git-file-name name version))))
>      (build-system gnu-build-system)
>      (arguments
> @@ -874,7 +875,8 @@ high a score as possible.")
>                 "tiles"))                ;for tile graphics and sound support
>      (native-inputs
>       `(("gettext" ,gettext-minimal)
> -       ("pkg-config" ,pkg-config)))
> +       ("pkg-config" ,pkg-config)
> +       ("astyle" ,astyle)))
>      (inputs
>       `(("freetype" ,freetype)
>         ("libogg" ,libogg)
> #+END_SRC
>
> However it turns out this is not enough because building the
> curses-and-then-tiles versions is no longer supported.  The following
> error will occur:
>
>   cc1plus: error: pch/main-pch.hpp.gch: not used because `_XOPEN_SOURCE' not defined [-Werror=invalid-pch]
>   cc1plus: error: unrecognized command line option ‘-Wno-unknown-warning-option’ [-Werror]
>   cc1plus: all warnings being treated as errors
>   make: *** [Makefile:962: obj/tiles/achievement.o] Error 1
>   command "make" "TILES=1" "SOUND=1" "PREFIX=/gnu/store/s3r1hc84ph27jc0q648dx6yfpm9mgydh-cataclysm-dda-0.F-tiles" "USE_HOME_DIR=1" "DYNAMIC_LINKING=1" "RELEASE=1" "LOCALIZE=1" "LANGUAGES=all" failed with status 2
>
> There are two options.
>
> 1) We could mess with the build phase order, do a make install, then a
>    fresh make clean, then make again with the tiles support on:
>      https://github.com/CleverRaven/Cataclysm-DDA/issues/42598#issuecomment-667702746
>
> 2) But that seems strange so we could make a separate
>    cataclysm-dda-tiles output.  We already do a similar thing for crawl
>    and crawl-tiles, so why not?
>
> What do people think?  I'm leaning towards (2).
>  - Chris

I've pushed a new version in b65af6ed91.  I took the first of these two
routes, though I think in the long run the latter approach probably
makes more sense.